# Serialized Form

## Package com.google.protobuf

### Class com.google.protobuf.CodedOutputStream.OutOfSpaceException extends java.io.IOException implements Serializable

serialVersionUID:
  -6947486886997889499L

### Class com.google.protobuf.DescriptorProtos.DescriptorProto extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### enumType_

    java.util.List<DescriptorProtos.EnumDescriptorProto> enumType_

#### extension_

    java.util.List<DescriptorProtos.FieldDescriptorProto> extension_

#### extensionRange_

    java.util.List<DescriptorProtos.DescriptorProto.ExtensionRange> extensionRange_

#### field_

    java.util.List<DescriptorProtos.FieldDescriptorProto> field_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### name_

    java.lang.Object name_

#### nestedType_

    java.util.List<DescriptorProtos.DescriptorProto> nestedType_

#### oneofDecl_

    java.util.List<DescriptorProtos.OneofDescriptorProto> oneofDecl_

#### options_

    DescriptorProtos.MessageOptions options_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.DescriptorProto.ExtensionRange extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### end_

    int end_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### start_

    int start_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.EnumDescriptorProto extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### name_

    java.lang.Object name_

#### options_

    DescriptorProtos.EnumOptions options_

#### unknownFields

    UnknownFieldSet unknownFields

#### value_

    java.util.List<DescriptorProtos.EnumValueDescriptorProto> value_

### Class com.google.protobuf.DescriptorProtos.EnumOptions extends GeneratedMessage.ExtendableMessage<DescriptorProtos.EnumOptions> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### allowAlias_

    boolean allowAlias_

#### bitField0_

    int bitField0_

#### deprecated_

    boolean deprecated_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### uninterpretedOption_

    java.util.List<DescriptorProtos.UninterpretedOption> uninterpretedOption_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.EnumValueDescriptorProto extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### name_

    java.lang.Object name_

#### number_

    int number_

#### options_

    DescriptorProtos.EnumValueOptions options_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.EnumValueOptions extends GeneratedMessage.ExtendableMessage<DescriptorProtos.EnumValueOptions> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### deprecated_

    boolean deprecated_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### uninterpretedOption_

    java.util.List<DescriptorProtos.UninterpretedOption> uninterpretedOption_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.FieldDescriptorProto extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### defaultValue_

    java.lang.Object defaultValue_

#### extendee_

    java.lang.Object extendee_

#### label_

    DescriptorProtos.FieldDescriptorProto.Label label_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### name_

    java.lang.Object name_

#### number_

    int number_

#### oneofIndex_

    int oneofIndex_

#### options_

    DescriptorProtos.FieldOptions options_

#### type_

    DescriptorProtos.FieldDescriptorProto.Type type_

#### typeName_

    java.lang.Object typeName_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.FieldOptions extends GeneratedMessage.ExtendableMessage<DescriptorProtos.FieldOptions> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### ctype_

    DescriptorProtos.FieldOptions.CType ctype_

#### deprecated_

    boolean deprecated_

#### experimentalMapKey_

    java.lang.Object experimentalMapKey_

#### lazy_

    boolean lazy_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### packed_

    boolean packed_

#### uninterpretedOption_

    java.util.List<DescriptorProtos.UninterpretedOption> uninterpretedOption_

#### unknownFields

    UnknownFieldSet unknownFields

#### weak_

    boolean weak_

### Class com.google.protobuf.DescriptorProtos.FileDescriptorProto extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### dependency_

    LazyStringList dependency_

#### enumType_

    java.util.List<DescriptorProtos.EnumDescriptorProto> enumType_

#### extension_

    java.util.List<DescriptorProtos.FieldDescriptorProto> extension_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### messageType_

    java.util.List<DescriptorProtos.DescriptorProto> messageType_

#### name_

    java.lang.Object name_

#### options_

    DescriptorProtos.FileOptions options_

#### package_

    java.lang.Object package_

#### publicDependency_

    java.util.List<java.lang.Integer> publicDependency_

#### service_

    java.util.List<DescriptorProtos.ServiceDescriptorProto> service_

#### sourceCodeInfo_

    DescriptorProtos.SourceCodeInfo sourceCodeInfo_

#### unknownFields

    UnknownFieldSet unknownFields

#### weakDependency_

    java.util.List<java.lang.Integer> weakDependency_

### Class com.google.protobuf.DescriptorProtos.FileDescriptorSet extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### file_

    java.util.List<DescriptorProtos.FileDescriptorProto> file_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.FileOptions extends GeneratedMessage.ExtendableMessage<DescriptorProtos.FileOptions> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### ccGenericServices_

    boolean ccGenericServices_

#### deprecated_

    boolean deprecated_

#### goPackage_

    java.lang.Object goPackage_

#### javaGenerateEqualsAndHash_

    boolean javaGenerateEqualsAndHash_

#### javaGenericServices_

    boolean javaGenericServices_

#### javaMultipleFiles_

    boolean javaMultipleFiles_

#### javaOuterClassname_

    java.lang.Object javaOuterClassname_

#### javaPackage_

    java.lang.Object javaPackage_

#### javaStringCheckUtf8_

    boolean javaStringCheckUtf8_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### optimizeFor_

    DescriptorProtos.FileOptions.OptimizeMode optimizeFor_

#### pyGenericServices_

    boolean pyGenericServices_

#### uninterpretedOption_

    java.util.List<DescriptorProtos.UninterpretedOption> uninterpretedOption_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.MessageOptions extends GeneratedMessage.ExtendableMessage<DescriptorProtos.MessageOptions> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### deprecated_

    boolean deprecated_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### messageSetWireFormat_

    boolean messageSetWireFormat_

#### noStandardDescriptorAccessor_

    boolean noStandardDescriptorAccessor_

#### uninterpretedOption_

    java.util.List<DescriptorProtos.UninterpretedOption> uninterpretedOption_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.MethodDescriptorProto extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### inputType_

    java.lang.Object inputType_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### name_

    java.lang.Object name_

#### options_

    DescriptorProtos.MethodOptions options_

#### outputType_

    java.lang.Object outputType_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.MethodOptions extends GeneratedMessage.ExtendableMessage<DescriptorProtos.MethodOptions> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### deprecated_

    boolean deprecated_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### uninterpretedOption_

    java.util.List<DescriptorProtos.UninterpretedOption> uninterpretedOption_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.OneofDescriptorProto extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### name_

    java.lang.Object name_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.ServiceDescriptorProto extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### method_

    java.util.List<DescriptorProtos.MethodDescriptorProto> method_

#### name_

    java.lang.Object name_

#### options_

    DescriptorProtos.ServiceOptions options_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.ServiceOptions extends GeneratedMessage.ExtendableMessage<DescriptorProtos.ServiceOptions> implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### deprecated_

    boolean deprecated_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### uninterpretedOption_

    java.util.List<DescriptorProtos.UninterpretedOption> uninterpretedOption_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.SourceCodeInfo extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### location_

    java.util.List<DescriptorProtos.SourceCodeInfo.Location> location_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.SourceCodeInfo.Location extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### leadingComments_

    java.lang.Object leadingComments_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### path_

    java.util.List<java.lang.Integer> path_

#### pathMemoizedSerializedSize

    int pathMemoizedSerializedSize

#### span_

    java.util.List<java.lang.Integer> span_

#### spanMemoizedSerializedSize

    int spanMemoizedSerializedSize

#### trailingComments_

    java.lang.Object trailingComments_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.UninterpretedOption extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### aggregateValue_

    java.lang.Object aggregateValue_

#### bitField0_

    int bitField0_

#### doubleValue_

    double doubleValue_

#### identifierValue_

    java.lang.Object identifierValue_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### name_

    java.util.List<DescriptorProtos.UninterpretedOption.NamePart> name_

#### negativeIntValue_

    long negativeIntValue_

#### positiveIntValue_

    long positiveIntValue_

#### stringValue_

    ByteString stringValue_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.DescriptorProtos.UninterpretedOption.NamePart extends GeneratedMessage implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Throws:
  `java.io.ObjectStreamException`

### Serialized Fields

#### bitField0_

    int bitField0_

#### isExtension_

    boolean isExtension_

#### memoizedIsInitialized

    byte memoizedIsInitialized

#### memoizedSerializedSize

    int memoizedSerializedSize

#### namePart_

    java.lang.Object namePart_

#### unknownFields

    UnknownFieldSet unknownFields

### Class com.google.protobuf.Descriptors.DescriptorValidationException extends java.lang.Exception implements Serializable

serialVersionUID:
  5750205775490483148L

### Serialized Fields

#### description

    java.lang.String description

#### name

    java.lang.String name

#### proto

    Message proto

### Class com.google.protobuf.GeneratedMessage extends AbstractMessage implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Replaces this object in the output stream with a serialized form. Part of Java's serialization magic. Generated sub-classes must override this method by calling `return super.writeReplace();`

Throws:
  `java.io.ObjectStreamException`

### Class com.google.protobuf.GeneratedMessage.ExtendableMessage extends GeneratedMessage implements Serializable

### Serialized Fields

#### extensions

    com.google.protobuf.FieldSet<Descriptors.FieldDescriptor> extensions

### Class com.google.protobuf.GeneratedMessageLite extends AbstractMessageLite implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### writeReplace

    protected java.lang.Object writeReplace()
                                     throws java.io.ObjectStreamException

Replaces this object in the output stream with a serialized form. Part of Java's serialization magic. Generated sub-classes must override this method by calling `return super.writeReplace();`

Throws:
  `java.io.ObjectStreamException`

### Class com.google.protobuf.GeneratedMessageLite.ExtendableMessage extends GeneratedMessageLite implements Serializable

### Serialized Fields

#### extensions

    com.google.protobuf.FieldSet<com.google.protobuf.GeneratedMessageLite.ExtensionDescriptor> extensions

### Class com.google.protobuf.InvalidProtocolBufferException extends java.io.IOException implements Serializable

serialVersionUID:
  -1616151763072450476L

### Serialized Fields

#### unfinishedMessage

    MessageLite unfinishedMessage

### Class com.google.protobuf.RpcUtil.AlreadyCalledException extends java.lang.RuntimeException implements Serializable

serialVersionUID:
  5469741279507848266L

### Class com.google.protobuf.ServiceException extends java.lang.Exception implements Serializable

serialVersionUID:
  -1219262335729891920L

### Class com.google.protobuf.TextFormat.ParseException extends java.io.IOException implements Serializable

serialVersionUID:
  3196188060225107702L

### Serialized Fields

#### column

    int column

#### line

    int line

### Class com.google.protobuf.UninitializedMessageException extends java.lang.RuntimeException implements Serializable

serialVersionUID:
  -7466929953374883507L

### Serialized Fields

#### missingFields

    java.util.List<java.lang.String> missingFields